package com.lightinit.hsdataplatform.model.admin;

import com.lightinit.hsdataplatform.entity.BaseExample;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class AccountManageRechargeDtoModel extends BaseExample {

    private String username ;

    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date rechargeFrom ;

    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date rechargeTo ;

    private String transType ;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Date getRechargeFrom() {
        return rechargeFrom;
    }

    public void setRechargeFrom(Date rechargeFrom) {
        this.rechargeFrom = rechargeFrom;
    }

    public Date getRechargeTo() {
        return rechargeTo;
    }

    public void setRechargeTo(Date rechargeTo) {
        this.rechargeTo = rechargeTo;
    }

    public String getTransType() {
        return transType;
    }

    public void setTransType(String transType) {
        this.transType = transType;
    }
}
